import 'package:rapidfire/Annotation.dart';

@Model
class Course {
  @Key()
  String CourseId;
  String CatagoryId;
  String Title;
  String Description;
  String Duration;

  Course({this.CourseId, this.CatagoryId, this.Title, this.Description, this.Duration});
}

@Model
class Unit {
  @Key()
  String UnitId;
  String CourseId;
  String Title;
  String Description;
  String Duration;

  Unit({this.UnitId, this.CourseId, this.Title, this.Description, this.Duration});
}

@Model
class Quiz {
  @Key()
  String QuizId;
  String UnitId;
  String Title;
  String Description;
  int QuizType;
  int Marks;
  int Duration;
  List<dynamic> Question;

  Quiz(
      {this.QuizId,
      this.UnitId,
      this.Title,
      this.Description,
      this.QuizType,
      this.Marks,
      this.Duration,
      this.Question});
}

@Model
class Question {
  @Key()
  String QuestionId;
  String QuizId;
  int QuestionType;
  String Title;
  String Description;
  int Marks;
  int Duration;
  String Image;
  List<dynamic> Option;

  Question(
      {this.QuestionId,
      this.QuizId,
      this.QuestionType,
      this.Title,
      this.Description,
      this.Marks,
      this.Duration,
      this.Option});
}

@Model
class Option {
  @Key()
  String OptionsId;
  String QuestionId;
  String Title;
  String Description;
  String Image;
  int IsCorrect;

  Option({this.OptionsId, this.QuestionId, this.Title, this.Description, this.IsCorrect, this.Image});
}

@Model
class Answer {
  @Key()
  String AnswerId;
  String QuizId;
  String QuestionId;
  String OptionId;
  String UserId;
  int IsCorrect;

  Answer({this.AnswerId, this.QuizId, this.QuestionId, this.OptionId, this.IsCorrect});
}
